<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Text</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Text";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.text</a></div>
<h2 title="Class Text" class="title">Class Text</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">org.david.geo.primitive.Primitive</a></li>
<li>
<ul class="inheritance">
<li>org.david.geo.text.Text</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../primitive/PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Text</span>
extends <a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></pre>
<div class="block">This class is used to store all parameters to draw a string (text) in a
 <code>java.awt.Graphics</code>.
 The class extends from primitive in order to implement polymorphism when
 drawing all the <code>Primitives</code> on the screen.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,org.david.geo.shapes.Point,org.david.geo.style.CustomColor,java.awt.Font)">Text</a></span>&#8203;(java.lang.String&nbsp;val,
    <a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;orig,
    <a href="../style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;textCustomColor,
    java.awt.Font&nbsp;f)</code></th>
<td class="colLast">
<div class="block">Create a <code>Text</code> class with all attributes given.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.shapes.Point)">Text</a></span>&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;o)</code></th>
<td class="colLast">
<div class="block">create a <code>Text</code> class from the coordinates.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.shapes.Point,java.lang.String)">Text</a></span>&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;o,
    java.lang.String&nbsp;val)</code></th>
<td class="colLast">
<div class="block">Create a simple <code>Text</code> class.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#draw(java.awt.Graphics)">draw</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">
<div class="block">draw a text in a graphic.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.awt.Font</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFont()">getFont</a></span>()</code></th>
<td class="colLast">
<div class="block">get the text font.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFont(java.awt.Font)">setFont</a></span>&#8203;(java.awt.Font&nbsp;f)</code></th>
<td class="colLast">
<div class="block">set the font of the text.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValue(java.lang.String)">setValue</a></span>&#8203;(java.lang.String&nbsp;val)</code></th>
<td class="colLast">
<div class="block">set the value of the text.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.primitive.Primitive">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.david.geo.primitive.<a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></h3>
<code><a href="../primitive/Primitive.html#getStyle()">getStyle</a>, <a href="../primitive/Primitive.html#getTransform()">getTransform</a>, <a href="../primitive/Primitive.html#setStyle(org.david.geo.style.Style)">setStyle</a>, <a href="../primitive/Primitive.html#setTransform(org.david.geo.transform.Transform)">setTransform</a>, <a href="../primitive/Primitive.html#transform(java.awt.Graphics2D)">transform</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,org.david.geo.shapes.Point,org.david.geo.style.CustomColor,java.awt.Font)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Text</h4>
<pre>public&nbsp;Text&#8203;(java.lang.String&nbsp;val,
            <a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;orig,
            <a href="../style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a>&nbsp;textCustomColor,
            java.awt.Font&nbsp;f)</pre>
<div class="block">Create a <code>Text</code> class with all attributes given.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>val</code> - text value to display</dd>
<dd><code>orig</code> - origin coordinate (top-left corner)</dd>
<dd><code>textCustomColor</code> - text CustomColor</dd>
<dd><code>f</code> - font of the text</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(org.david.geo.shapes.Point,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Text</h4>
<pre>public&nbsp;Text&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;o,
            java.lang.String&nbsp;val)</pre>
<div class="block">Create a simple <code>Text</code> class.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - origin point (top-left corner)</dd>
<dd><code>val</code> - value of the string</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(org.david.geo.shapes.Point)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Text</h4>
<pre>public&nbsp;Text&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;o)</pre>
<div class="block">create a <code>Text</code> class from the coordinates.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - origin point (top-left corner)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setValue(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setValue&#8203;(java.lang.String&nbsp;val)</pre>
<div class="block">set the value of the text.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>val</code> - text</dd>
</dl>
</li>
</ul>
<a id="getFont()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFont</h4>
<pre class="methodSignature">public&nbsp;java.awt.Font&nbsp;getFont()</pre>
<div class="block">get the text font.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>font of the text</dd>
</dl>
</li>
</ul>
<a id="setFont(java.awt.Font)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFont</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setFont&#8203;(java.awt.Font&nbsp;f)</pre>
<div class="block">set the font of the text.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - new font</dd>
</dl>
</li>
</ul>
<a id="draw(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>draw</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;draw&#8203;(java.awt.Graphics&nbsp;g)</pre>
<div class="block">draw a text in a graphic.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphics component</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
